package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.*;
import com.hungraim.ltc.pojo.entity.PageInfo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 失能人员申请
 */
@Data
@TableName("ch_call_face_interface_log")
@KeySequence(value = "s_ch_call_face_interface_log")
public class CallFaceInterfaceLog extends PageInfo implements Serializable {

    /**
     * 失能申请id
     */
    @TableId(value = "call_log_id", type = IdType.INPUT)
    private Long callLogId;

    //pc端登录用户Id
    private  Integer pcUserId;
    //app端登录用户ID
    private  Integer appUserId;
    //app端人脸识别身份证号
    private String certifNum;
    //调用参数
    private String callParam;
    //接口方法：CreatePerson 创建人员接口 DeletePerson删除创建人员接口 DetectLiveFaceAccurate 静态活检高精度版接口 VerifyPerson 人员验证接口
    private String interfaceMethod;
    //接口名称
    private String interfaceName;
    //腾讯云接口返回信息
    private String callResult;
    //创建人员接口返回的face_id
    private String faceId;
    //静态活检接口返回的活体打分和人员验证接口返回的相似度评分
    private String score;
    //人员验证接口返回的is_match=true为同一人，is_match=false不是同一人
    private String isMatch;
    //调用时间
    private Date callTime;

    private static final long serialVersionUID = 1L;
}
